# PermitToken

### Description

Helper action to invoke a permit action signed by a user

> **Notes**
>
> Every successful call to permit increases owners nonce by one.

### Action ID

`0x25a4d738`

### SDK Action

```ts
const permitTokenAction = new dfs.actions.basic.PermitTokenAction(
    token,
    owner,
    spender,
    value,
    deadline,
    v,
    r,
    s
);
```

### Action Type

`STANDARD_ACTION`

### Input Parameters

```solidity
    /// @param tokenAddr Address of the token to permit
    /// @param owner Address of the owner
    /// @param spender Address of the spender
    /// @param value Amount of tokens to permit
    /// @param deadline Deadline of the permit
    /// @param v ECDSA signature v
    /// @param r ECDSA signature r
    /// @param s ECDSA signature s
    struct Params {
        address tokenAddr;
        address owner;
        address spender;
        uint256 value;
        uint256 deadline;
        uint8 v;
        bytes32 r;
        bytes32 s;
    }
```

### Return Value

```solidity
return bytes32(inputData.value);
```

### Events and Logs

```solidity
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.defisaver.com/actions/utils/permittoken.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
